<template>
  <div
    id="checkautoContext"
    class="kit outer">
    <div class="kit view page gray">
      <div class="container minimal background white">
        <div class="line breadcrumb">
          <slot name="line-breadcrumb"/>
        </div>
        <div class="line content">
          <slot name="line-content"/>
        </div>
        <div class="line modal">
          <slot name="line-modal"/>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'MainLayout',
};
</script>

<style lang="postcss">
  @import '../../../assets/css/pages/check-auto/_semantic.css';
  @import '../../../assets/css/pages/check-auto/advanced-icons.css';
  @import '../../../assets/css/pages/check-auto/info-text.css';
  @import '../../../assets/css/pages/check-auto/crash-block.css';
  @import '../../../assets/css/pages/check-auto/table-cabinet.css';
  @import '../../../assets/css/pages/check-auto/table-resize.css';

  .checkauto {
    .aqualink {
      display: inline-flex;
      align-items: center;
      padding: 0;
      margin: 0;

      font-family: inherit;
      font-size: inherit;
      line-height: inherit;
      font-weight: inherit;
      color: var(--link-color);

      background: none;
      border: none;
      box-shadow: none;
      outline: none;

      transition: color .3s var(--transition-easeOutQuad);

      &:after {
        border-left-color: var(--link-color);
      }

      &:hover {
        color: var(--link-hover-color);

        &:after {
          border-left-color: var(--link-hover-color);
        }
      }

      &:active, &:focus {
        color: var(--link-active-color);

        &:after {
          border-left-color: var(--link-active-color);
        }
      }

      &._add-arrow {
        position: relative;
        padding-right: 0.625rem;

        &:after {
          content: '';
          position: absolute;
          right: 0;
          top: 50%;
          margin-top: -0.125rem;
          height: 0;
          width: 0;
          border: 0.1875rem solid transparent;
          border-left-color: inherit;
        }
      }

      &._inline {
        display: inline;
      }

      &-item {
        display: inline-flex;
      }
    }
  }
  div[data-modal="checkauto-purchase-modal"] {
    .inputCheck {
      padding-left: 2rem !important;
      &-label {
        color: var(--color-main-lightest) !important;
      }
    }
  }
</style>

<style scoped lang="postcss">
  .kit.view.page {
    display: flex;
    width: 100%;
    flex: 1 0 auto;
    padding: 0;
    position: relative;
    z-index: 15;
    &.gray {
      background-color: #ededed !important;
    }
    > .container:not(.ui) {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-content: stretch;
      width: 100%;
      flex: 1 0 auto;
      padding: 0;
      min-height: auto;
      &.minimal {
        max-width: 64rem;
        min-width: 64rem;
        margin: 0 auto;
        @media screen and (max-width: 980px) {
          min-width: auto;
        }
      }
      .line.breadcrumb {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: stretch;
        flex: 0 1 auto;
        margin: 0;
        width: 100%;
        min-height: 1rem;
        padding-top: 1rem;
        background-color: #fff;
        padding-left: 2.75rem;
        @media only screen and (max-width: 980px) {
          display: none;
        }
      }
      .line.content {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: stretch;
        width: 100%;
        flex: 1 0 auto;
        margin: 0;
        height: auto;
      }
    }

    @media only screen and (min-width: 981px) {
      .ui.button.circular {
        padding-left: 2rem;
        padding-right: 2rem;
      }
    }

    .kit.view.checkauto.example,
    .kit.view.checkauto.report {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: stretch;
      width: 100%;
      padding: 0;
      h1, h2 {
        font-size: 1.3125rem;
        line-height: 1.3;
        margin: 0;
      }

      > .top {
        padding: 1.5rem 2.75rem;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        min-height: 6.5rem;
        border-bottom: .0625rem solid #c5d1d9;
        .heading {
          padding-right: 1rem;
        }
        .vin-wrap {
          white-space: nowrap;
          font-size: inherit;
          line-height: 1.3;
        }
        .date-wrap {
          font-size: 0.8125rem;
          font-weight: 400;
          line-height: 1.3;
          color: #5b5b5b;
        }
      }

      .top-button-wrap {
        display: inline-flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
        color: #4a4a4a;
        white-space: nowrap;
        .text {
          display: flex;
          justify-content: flex-start;
          flex-wrap: nowrap;
          padding: 0 1rem 0 4rem;
          font-size: 1rem;
          font-weight: 500;
          * {
            margin-right: 5px;
            &:last-child {
              margin-right: 0;
            }
          }
          .line-break {
            width: 100%;
          }
        }
      }

      > .bottom {
        max-width: calc(100% - 12.5625rem);
        margin-top: 0;
        margin-bottom: 2.5rem;
        p {
          margin-bottom: 1.5rem;
          text-align: center;
        }
        .flexline {
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          .ui.button {
            flex-shrink: 0;
            margin-right: 0;
          }
          .kit.payment {
            margin: 1.125rem 0 0 auto;
          }
          @media screen and (max-width: 980px) {
            .kit.payment {
              margin: 2rem auto 2rem;
            }
          }
        }
      }

      @media only screen and (max-width: 980px) {
        padding: 0 1.5rem;
        .top-button-wrap {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          padding: 1.5rem 0 0;
          color: #383838;
          .text {
            padding: 0;
            font-size: 1.1875rem;
          }
        }
        .sticky-button-wrap {
          display: none;
          flex-wrap: nowrap;
          justify-content: space-between;
          padding: 1rem 0;
          position: fixed;
          margin: 0;
          left: 0;
          right: 0;
          top: 0;
          background: #fff;
          z-index: 999;
          box-shadow: 0 4px 12px 0 rgba(96, 126, 146, .12);
          .text {
            font-weight: 500;
            font-size: 1rem;
          }
          &.visible {
            display: flex;
          }
          .ui.button {
            margin: 0;
          }
        }

        > .top {
          min-height: auto;
          padding: 0 0 2.5rem;
          flex-flow: column nowrap;
          align-items: flex-start;
          border-bottom: 0;
          &.text {
            flex-flow: row wrap;
          }
          .date-wrap, .vin-wrap {
            display: block;
            margin-top: 0.25rem;
            font-weight: 400;
            font-size: 0.9375rem;
            color: initial;
          }
        }

        > .bottom {
          max-width: 100%;
          padding: 0;
          margin: 0;
        }
      }
    }

    .ui.button {
      .hidden {
        @media (max-width: 320px) {
          &.xs {
            display: none;
          }
        }
        @media (max-width: 375px) {
          &.sm {
            display: none;
          }
        }
        @media (max-width: 475px) {
          &.md {
            display: none;
          }
        }
      }
    }
  }

  .kit.outer {
    display: inherit;
    flex: inherit;
    flex-flow: inherit;
    justify-content: inherit;
    align-items: inherit;
    width: inherit;
    height: inherit;
    position: inherit;
    margin: 0;
    padding: 0;
  }
  .ui.input.elliptical > input {
    border-radius: 5rem;
  }

  .ui.input.inner-button input {
    padding: 0 1rem 0 1.5rem;
    display: block;
    width: 100%;
    border: none;
    font-size: 1rem;
    line-height: 1.2;
    outline: none;
    box-shadow: none;
  }
  .ui.input.inner-button .ui.button {
    margin: 0.125rem;
    padding: 0.5rem 1.75rem !important;
    font-size: 1rem;
    white-space: nowrap;
  }
  .ui.yellow.button, .ui.yellow.buttons .button {
    color: #1B1C1D;
    background-color: #FFCF68;
    font-weight: 500 !important;
  }
  .ui.button:disabled, .ui.buttons .button:disabled {
    opacity: 0.65 !important;
  }
  .ui.circular.button {
    border-radius: 10em;
  }
  .background.white {
    background-color: #FFF;
  }
  .ui.input.inner-button {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: stretch;
    height: 2.875rem;
    max-height: none;
    border-radius: 1.4375rem;
    border: 0.125rem solid #728896;
    background-color: #FFF;
  }
  @media only screen and (min-width: 981px) {
    .appPage .main {
      width: 100%;
      z-index: 1;
      display: flex;
      position: relative;
      flex-flow: column nowrap;
      padding: 0;
      margin: 0 auto;
      flex: 1 1 auto;
    }
  }
  @media only screen and ( max-width: 980px ) {
    .appPage .main {
      display: flex;
      position: relative;
      top: 0;
      bottom: 0;
      flex-flow: column nowrap;
      width: 100%;
      padding: 1.5rem 0;
      margin: 0 auto;
      flex: 1 0 auto;
      z-index: 1;
      margin-bottom: 2rem;
    }
    .ui.input.inner-button input {
      flex: 0 1 auto;
      font-size: 1.0625rem;
      min-width: 12rem;
    }
    .ui.button.search.yellow {
      min-height: auto;
      height: auto;
      padding: .5rem 1.75rem!important;
      & .icon.search.button {
        min-height: auto;
        height: auto;
      }
    }
  }
</style>
